Merge stage1 x86_64 dans trunk
[hvlinux.git] / stage1 / bootscripts / sendsignals
diff --git a/stage1/bootscripts/sendsignals b/stage1/bootscripts/sendsignals
new file mode 100755 (executable)
index 0000000..6bde3e3
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# sendsignals
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+# Send all the remaining processes the TERM signal
+cmd_run_log_box "Sending all processes the TERM signal" /sbin/killall5 -15
+
+# Send all the remaining process (after sending them the TERM signal before)
+# the KILL signal.
+cmd_run_log_box "Sending all processes the KILL signal" /sbin/killall5 -9
+
+exit $?